Debian Bug report logs - #444511
lock-keys-applet: FTBFS: error: expected specifier-qualifier-list before 'GtkTooltips'

version graph

Package: lock-keys-applet; Maintainer for lock-keys-applet is Sebastien Bacher <seb128@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sat, 29 Sep 2007 09:33:04 UTC

Severity: serious

Tags: lenny, patch, sid

Found in version lock-keys-applet/1.0-8

Fixed in version lock-keys-applet/1.0-8.1

Done: Ana Beatriz Guerrero Lopez <ana@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, fpeters@debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#444511; Package lock-keys-applet. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to fpeters@debian.org, Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: lock-keys-applet: FTBFS: error: expected specifier-qualifier-list before 'GtkTooltips'
Date: Sat, 29 Sep 2007 11:15:52 +0200
Package: lock-keys-applet
version: 1.0-8
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20070928 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on i386.

Relevant part:
make[3]: Entering directory `/build/user/lock-keys-applet-1.0/src'
cc -DHAVE_CONFIG_H -I. -I. -I.. -I.. -I/usr/include -DORBIT2=1 -pthread -I/usr/include/libgnomeui-2.0 -I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-keyring-1 -I/usr/include/libgnome-2.0 -I/usr/include/libbonoboui-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/gtk-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/orbit-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libbonobo-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/libxml2 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/gail-1.0 -I/usr/include/atk-1.0 -I/usr/lib/gtk-2.0/include -I/usr/include/cairo -I/usr/include/libpng12 -I/usr/include/panel-2.0   -DGNOMELOCALEDIR=\""/usr/share/locale"\" -DGNOME_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DG_DISABLE_DEPRECATED -DDATADIR=\""/usr/share/"\" -DPREFIX=\""/usr/"\" -DLIBDIR=\""/usr/lib/"\" -DSYSCONFDIR=\""/etc/"\"    -g -Wall -O2 -c `test -f 'lock-keys-applet.c' || echo './'`lock-keys-applet.c
lock-keys-applet.c:65: error: expected specifier-qualifier-list before 'GtkTooltips'
lock-keys-applet.c: In function 'applet_reorder_icons':
lock-keys-applet.c:107: warning: implicit declaration of function 'gtk_widget_ref'
lock-keys-applet.c: In function 'about_cb':
lock-keys-applet.c:225: warning: implicit declaration of function 'gnome_about_new'
lock-keys-applet.c:231: warning: dereferencing type-punned pointer will break strict-aliasing rules
lock-keys-applet.c: In function 'ledstates_changed':
lock-keys-applet.c:500: warning: implicit declaration of function 'gtk_tooltips_set_tip'
lock-keys-applet.c:500: error: 'LedApplet' has no member named 'tooltips'
lock-keys-applet.c: In function 'led_applet_factory':
lock-keys-applet.c:591: error: 'LedApplet' has no member named 'tooltips'
lock-keys-applet.c:591: warning: implicit declaration of function 'gtk_tooltips_new'
make[3]: *** [lock-keys-applet.o] Error 1
make[3]: Leaving directory `/build/user/lock-keys-applet-1.0/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/build/user/lock-keys-applet-1.0'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/build/user/lock-keys-applet-1.0'
make: *** [debian/stamp-makefile-build] Error 2

The full build log is available from
http://people.debian.org/~lucas/logs/2007/09/28

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Tags added: lenny, sid Request was from kurt@roeckx.be (Kurt Roeckx) to control@bugs.debian.org. (Sun, 14 Oct 2007 15:39:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#444511; Package lock-keys-applet. Full text and rfc822 format available.

Acknowledgement sent to Mario Iseli <mario@debian.org>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #12 received at 444511@bugs.debian.org (full text, mbox):

From: Mario Iseli <mario@debian.org>
To: 444511@bugs.debian.org
Subject: Patch
Date: Mon, 10 Dec 2007 19:41:16 +0100
[Message part 1 (text/plain, inline)]
Hello,

In the attachement you'll find a simple patch that you can just put into
debian/patches and it will do the rest. :)

Please upload this as soon as possible, otherwise I will probably upload an NMU
to the delayed queue on 20071217.

Regards,

-- 
  .''`.     Mario Iseli <mario@debian.org>
 : :'  :    Debian GNU/Linux developer
 `. `'`
   `-  Debian - when you have better things to do than fixing a system
[02_gtk_disable_deprecated.patch (text/x-diff, attachment)]

Tags added: patch Request was from Mario Iseli <mario@marioiseli.com> to control@bugs.debian.org. (Mon, 10 Dec 2007 18:57:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#444511; Package lock-keys-applet. Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #19 received at 444511@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 444511@bugs.debian.org
Subject: lock-keys-applet: diff for NMU version 1.0-8.1
Date: Sun, 13 Jan 2008 17:03:11 +0100
[Message part 1 (text/plain, inline)]
tags 444511 + patch
thanks

Hi,

Attached is the diff for my lock-keys-applet 1.0-8.1 NMU.
[lock-keys-applet-1.0-8.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Sun, 13 Jan 2008 16:09:06 GMT) Full text and rfc822 format available.

Reply sent to Ana Beatriz Guerrero Lopez <ana@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 444511-close@bugs.debian.org (full text, mbox):

From: Ana Beatriz Guerrero Lopez <ana@debian.org>
To: 444511-close@bugs.debian.org
Subject: Bug#444511: fixed in lock-keys-applet 1.0-8.1
Date: Sun, 13 Jan 2008 16:17:11 +0000
Source: lock-keys-applet
Source-Version: 1.0-8.1

We believe that the bug you reported is fixed in the latest version of
lock-keys-applet, which is due to be installed in the Debian FTP archive:

lock-keys-applet_1.0-8.1.diff.gz
  to pool/main/l/lock-keys-applet/lock-keys-applet_1.0-8.1.diff.gz
lock-keys-applet_1.0-8.1.dsc
  to pool/main/l/lock-keys-applet/lock-keys-applet_1.0-8.1.dsc
lock-keys-applet_1.0-8.1_i386.deb
  to pool/main/l/lock-keys-applet/lock-keys-applet_1.0-8.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 444511@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ana Beatriz Guerrero Lopez <ana@debian.org> (supplier of updated lock-keys-applet package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 13 Jan 2008 16:56:25 +0100
Source: lock-keys-applet
Binary: lock-keys-applet
Architecture: source i386
Version: 1.0-8.1
Distribution: unstable
Urgency: low
Maintainer: Sebastien Bacher <seb128@debian.org>
Changed-By: Ana Beatriz Guerrero Lopez <ana@debian.org>
Description: 
 lock-keys-applet - A keyboard lock keys applet for the GNOME2 panel
Closes: 444511
Changes: 
 lock-keys-applet (1.0-8.1) unstable; urgency=low
 .
   * Non-maintainer upload to fix RC bug.
   * Disable deprecated GTK options. Patch by Mario Iseli. (Closes: #444511)
Files: 
 f621d7cd65fb555c8b8a9152c65b62ea 724 x11 optional lock-keys-applet_1.0-8.1.dsc
 12ac1530996930626d9ab1f386988cd0 495784 x11 optional lock-keys-applet_1.0-8.1.diff.gz
 6a2bc79f7ff88b09b6b2405aadb19641 42238 x11 optional lock-keys-applet_1.0-8.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Signed by Ana Guerrero

iD8DBQFHijZhn3j4POjENGERAg5MAJ45f0IaRChwVFvbiTTY2cTG2eCcswCfTyxn
7GzNeUijE0oEv1NWbKIyib0=
=l8V2
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Feb 2009 07:45:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:47:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.